	character*80 inline	
	dimension isee(20)
	open(unit=1,file='allsees',status='old')
	do 200 i=1,20
	isee(i)=0
200	continue
1	read(1,2,end=99) inline
	write(6,2) inline
2	format(a80)
	do 3 i=1,80
	if(inline(i:i+1).eq.'m ') then
	read(inline(i+2:80),*) fwhm
	go to 4
	end if
3	continue
	stop 'problem here'
4	s=fwhm*0.27
	index=s*10.+1
	if(index.gt.20) index=20
	if(index.lt.1.) index=1
	isee(index)=isee(index)+1
	go to 1
99	do 100 i=1,20
	value=(i-1)/10.+.05
	write(6,101) value,isee(i)
101	format(f6.2,1x,i5)
100	continue
	stop
	end
